Skip to main content
GET
/
v0
/
tokens
/
metrics
/
{chain}
/
{token_address}
Get Token Metrics
curl --request GET \
  --url https://api.bubblemaps.io/v0/tokens/metrics/{chain}/{token_address} \
  --header 'X-ApiKey: <api-key>'
{
  "supply_stats": {
    "cexs": 123,
    "dexs": 123,
    "contracts": 123,
    "fresh_wallets": 123,
    "top_10_adjusted": 123,
    "bundles": 123
  },
  "scores": {
    "bubblemaps_score": 123,
    "gini_index": 123,
    "herfindahl_hirschman_index": 123,
    "nakamoto_coefficient": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt

Use this file to discover all available pages before exploring further.

Credit cost: 25 per request.
Easy access to token stats and scores. Magic nodes and time nodes are used to compute adjusted scores. If you need more control over the parameters, use the Get Token Bubble Map endpoint that includes a similar metrics object.

Response

supply_stats describe supply shares percentage in [0, 1] format. For exemple, supply_stats.fresh_wallets = 0.15 means that 15% of the supply is held by fresh wallets.
  • cexs, dexs, contracts: exactly what you think it is
  • fresh_wallets: threshold is less than 10 days old
  • top_10_adjusted: top 10 entites (after clustering) adjusted to ignore CEXs, DEXs, etc
  • bundles: top 10 clusters (ignoring CEXs, DEXs, etc)
scores are various values pertaining to decentralization. Scales vary
  • bubblemaps_score: our fine tuned algorithmic score from 0 (less decentralized) to 100 (more decentralized). Read more. Can be null on rare occasions when the algorithm is not applicable
  • gini_index and herfindahl_hirschman_index: from 0 (equally distributed) to 1 (inequaly distributed). For their calculation we use clustered entities, normalized to exclude CEXs/DEXs holdings
  • nakamoto_coefficient: minimum number of independent entities needed to reach 50% of the supply

Magic Nodes

Time Nodes

Bubblemaps Score

Authorizations

X-ApiKey
string
header
required

Path Parameters

chain
enum<string>
required
Available options:
eth,
base,
solana,
tron,
bsc,
apechain,
sonic,
ton,
avalanche,
polygon,
monad
token_address
string
required

Response

Successful Response

supply_stats
SupplyStatsV0 · object
required
scores
MapScoresV0 · object
required